Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot.impl
Class JoinInputImpl

Show UML class diagram

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  com.hammurapi.eventbus.snapshot.impl.JoinInputImpl

All Implemented Interfaces:
  JoinInput, PredicateNodeOutput, SnapshotElement, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class JoinInputImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements JoinInput

An implementation of the model object 'Join Input'.

The following features are implemented:

- `Id`
- `Name`
- `Details`
- `Snapshot`
- `Index`
- `Join Node`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected String` | `details` The cached value of the '`Details`' attribute.
`protected static String` | `DETAILS_EDEFAULT` The default value of the '`Details`' attribute.
`protected String` | `id` The cached value of the '`Id`' attribute.
`protected static String` | `ID_EDEFAULT` The default value of the '`Id`' attribute.
`protected int` | `index` The cached value of the '`Index`' attribute.
`protected static int` | `INDEX_EDEFAULT` The default value of the '`Index`' attribute.
`protected JoinNode` | `joinNode` The cached value of the '`Join Node`' reference.
`protected String` | `name` The cached value of the '`Name`' attribute.
`protected static String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `JoinInputImpl()`

Method Summary
`JoinNode` | `basicGetJoinNode()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetJoinNode(JoinNode newJoinNode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSnapshot(Snapshot newSnapshot, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`String` | `getDetails()`
`String` | `getId()`
`int` | `getIndex()`
`JoinNode` | `getJoinNode()`
`String` | `getName()`
`Snapshot` | `getSnapshot()`
`void` | `setDetails(String newDetails)`
`void` | `setId(String newId)`
`void` | `setIndex(int newIndex)`
`void` | `setJoinNode(JoinNode newJoinNode)`
`void` | `setName(String newName)`
`void` | `setSnapshot(Snapshot newSnapshot)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ID_EDEFAULT

    protected static final String ID_EDEFAULT

  The default value of the '`Id`' attribute.

  See Also:
    `getId()`

### id

    protected String id

  The cached value of the '`Id`' attribute.

  See Also:
    `getId()`

### NAME_EDEFAULT

    protected static final String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### DETAILS_EDEFAULT

    protected static final String DETAILS_EDEFAULT

  The default value of the '`Details`' attribute.

  See Also:
    `getDetails()`

### details

    protected String details

  The cached value of the '`Details`' attribute.

  See Also:
    `getDetails()`

### INDEX_EDEFAULT

    protected static final int INDEX_EDEFAULT

  The default value of the '`Index`' attribute.

  See Also:
    `getIndex()`, Constant Field Values

### index

    protected int index

  The cached value of the '`Index`' attribute.

  See Also:
    `getIndex()`

### joinNode

    protected JoinNode joinNode

  The cached value of the '`Join Node`' reference.

  See Also:
    `getJoinNode()`

Constructor Detail

### JoinInputImpl

    protected JoinInputImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getId

    public String getId()

  Specified by:
    `getId` in interface `SnapshotElement`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `SnapshotElement.setId(String)`, `SnapshotPackage.getSnapshotElement_Id()`

### setId

    public void setId(String newId)

  Specified by:
    `setId` in interface `SnapshotElement`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `SnapshotElement.getId()`

### getName

    public String getName()

  Specified by:
    `getName` in interface `SnapshotElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `SnapshotElement.setName(String)`, `SnapshotPackage.getSnapshotElement_Name()`

### setName

    public void setName(String newName)

  Specified by:
    `setName` in interface `SnapshotElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `SnapshotElement.getName()`

### getDetails

    public String getDetails()

  Specified by:
    `getDetails` in interface `SnapshotElement`
  Returns:
    the value of the 'Details' attribute.
  See Also:
    `SnapshotElement.setDetails(String)`, `SnapshotPackage.getSnapshotElement_Details()`

### setDetails

    public void setDetails(String newDetails)

  Specified by:
    `setDetails` in interface `SnapshotElement`
  Parameters:
    `newDetails` - the new value of the 'Details' attribute.
  See Also:
    `SnapshotElement.getDetails()`

### getSnapshot

    public Snapshot getSnapshot()

  Specified by:
    `getSnapshot` in interface `SnapshotElement`
  Returns:
    the value of the 'Snapshot' container reference.
  See Also:
    `SnapshotElement.setSnapshot(Snapshot)`, `SnapshotPackage.getSnapshotElement_Snapshot()`, `Snapshot.getElements()`

### basicSetSnapshot

    public org.eclipse.emf.common.notify.NotificationChain basicSetSnapshot(Snapshot newSnapshot,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setSnapshot

    public void setSnapshot(Snapshot newSnapshot)

  Specified by:
    `setSnapshot` in interface `SnapshotElement`
  Parameters:
    `newSnapshot` - the new value of the 'Snapshot' container reference.
  See Also:
    `SnapshotElement.getSnapshot()`

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `JoinInput`
  Returns:
    the value of the 'Index' attribute.
  See Also:
    `JoinInput.setIndex(int)`, `SnapshotPackage.getJoinInput_Index()`

### setIndex

    public void setIndex(int newIndex)

  Specified by:
    `setIndex` in interface `JoinInput`
  Parameters:
    `newIndex` - the new value of the 'Index' attribute.
  See Also:
    `JoinInput.getIndex()`

### getJoinNode

    public JoinNode getJoinNode()

  Specified by:
    `getJoinNode` in interface `JoinInput`
  Returns:
    the value of the 'Join Node' reference.
  See Also:
    `JoinInput.setJoinNode(JoinNode)`, `SnapshotPackage.getJoinInput_JoinNode()`, `JoinNode.getJoinInputs()`

### basicGetJoinNode

    public JoinNode basicGetJoinNode()

### basicSetJoinNode

    public org.eclipse.emf.common.notify.NotificationChain basicSetJoinNode(JoinNode newJoinNode,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setJoinNode

    public void setJoinNode(JoinNode newJoinNode)

  Specified by:
    `setJoinNode` in interface `JoinInput`
  Parameters:
    `newJoinNode` - the new value of the 'Join Node' reference.
  See Also:
    `JoinInput.getJoinNode()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD